Index: dvblastctl.c
===================================================================
--- dvblastctl.c	(revision 55)
+++ dvblastctl.c	(working copy)
@@ -308,23 +308,22 @@
         PRINT_CAPS( CAN_BANDWIDTH_AUTO );
         PRINT_CAPS( CAN_GUARD_INTERVAL_AUTO );
         PRINT_CAPS( CAN_HIERARCHY_AUTO );
-#ifdef FE_CAN_8VSB
+        PRINT_CAPS( CAN_MUTE_TS );
+
+#define DVBAPI_VERSION ((DVB_API_VERSION)*100+(DVB_API_VERSION_MINOR))
+
+#if DVBAPI_VERSION >= 301
         PRINT_CAPS( CAN_8VSB );
         PRINT_CAPS( CAN_16VSB );
+        PRINT_CAPS( NEEDS_BENDING );
+        PRINT_CAPS( CAN_RECOVER );
 #endif
-#if DVB_API_VERSION >= 5
+#if DVBAPI_VERSION >= 500
         PRINT_CAPS( HAS_EXTENDED_CAPS );
-#ifdef FE_CAN_2G_MODULATION
+#endif
+#if DVBAPI_VERSION >= 501
         PRINT_CAPS( CAN_2G_MODULATION );
 #endif
-#endif
-#ifdef FE_NEEDS_BENDING
-        PRINT_CAPS( NEEDS_BENDING );
-#endif
-        PRINT_CAPS( CAN_MUTE_TS );
-#ifdef FE_CAN_RECOVER
-        PRINT_CAPS( CAN_RECOVER );
-#endif
 #undef PRINT_CAPS
 
         printf("\nstatus:\n");
Index: dvb.c
===================================================================
--- dvb.c	(revision 55)
+++ dvb.c	(working copy)
@@ -374,9 +374,7 @@
 
     switch ( i_voltage )
     {
-#ifdef SEC_VOLTAGE_OFF
         case 0: fe_voltage = SEC_VOLTAGE_OFF; break;
-#endif
         default:
         case 13: fe_voltage = SEC_VOLTAGE_13; break;
         case 18: fe_voltage = SEC_VOLTAGE_18; break;
@@ -741,7 +739,7 @@
                  i_frequency, i_srate );
         break;
 
-#ifdef FE_ATSC
+#if DVB_API_VERSION_MINOR >= 1
     case FE_ATSC:
         fep.frequency = i_frequency;
 
